package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.HmRightsShop;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HmRightsShopMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Long id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(HmRightsShop record);

    int insertOrUpdate(HmRightsShop record);

    int insertOrUpdateSelective(HmRightsShop record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(HmRightsShop record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    HmRightsShop selectByPrimaryKey(Long id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(HmRightsShop record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(HmRightsShop record);

    int updateBatch(List<HmRightsShop> list);

    int batchInsert(@Param("list") List<HmRightsShop> list);

    List<HmRightsShop> selectAll();

    void cleanAll();
}
